<?php
###############################################
# VERSION MONOBASE !
###############################################

# Liste des proriété de la table Members requises dans la classe Membre
$TABPARAMS_MEMBER_CLASS = array(
		"Gender", "Name", "FirstName", "Birthdate", "Address", "Zip", "Town", "Country", 
		"Confirme", "Telephone", "Mobile","acceptNews","acceptPartenaires",
		"Time", "IP", "Host", "Browser"
		);

# Liste des proriété de la table Members requises dans la classe Membre
$TABPARAMS_PLAYER_CLASS = array(
		"Time","KF","Score"
		);

			
			
# Check email and password and return the corresponding member row
function checkmember($NickName, $Password)
{
	global $GAME_NAME,$ORIGINE;
	# on vérifie s'il existe en local
	$req="SELECT * FROM `Members` WHERE Login='".$NickName."' AND Password='".encryptePassword($Password)."' AND Origine='".$ORIGINE."'";
	$row = db_fetch_array(main_db_query($req));

	# s'il est déjà inscrit en local on retourne l'Id
	if ($row)
		return $row;
	else
		return array("Id" => "-1");
}

# Check email and password and return the corresponding member row
function loginhashed($NickName, $Password)
{
	global $GAME_NAME,$ORIGINE;
	# on vérifie s'il existe en local
	$req="SELECT * FROM `Members` WHERE Login='".$NickName."' AND Password='".$Password."' AND Origine='".$ORIGINE."'";
	$row = db_fetch_array(main_db_query($req));

	# s'il est déjà inscrit en local on retourne l'Id
	if ($row)
		return $row;
	else
		return array("Id" => "-1");
}

function trace_partenaire( ) 
{

}

function login( $login, $password )
{

}

function user_create( $login, $password, $email )
{
	return "ok_create_user";
}

function user_update( $login, $activate, $password, $email, $civilite, $nom, $prenom, $birth, $zip, $ville, $optin  )
{

}

?>